New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Try to update all the packages installed failed. #8733

Open
anthlu opened this Issue Mar 3, 2018 · 33 comments

Comments

Projects
None yet
@anthlu

anthlu commented Mar 3, 2018

Actual Behavior

I downloaded and installed the latest Anaconda3-5.1.0-Windows-x86_64, and I try to update all packages after installing the product. I run the command "conda update --all" with Administrator privilege, it checked and downloaded the packages required, but when installing those packages, the conda shows failed ERROR conda.core.link:_execute(481): An error occurred while installing package 'defaults::ipykernel-4.8.2-py36_0'.
LinkError: post-link script failed for package defaults::ipykernel-4.8.2-py36_0
running your command again with -v will provide additional information
location of failed script: C:\ProgramData\Anaconda3\Scripts.ipykernel-post-link.bat
==> script messages <==

Attempting to roll back.

So it means the update is failed, and I try to use this command "conda clean --all" "conda update conda" "conda update --all" and try again, it also failed and the ERROR message is displayed the same as above.

Expected Behavior

The update should successful.

Steps to Reproduce

Download the latest version Anaconda installer and install on the clean Windows 10 Pro (10.0.16299.248).

Open the command prompt with Administrator privilege, type "conda update conda" and "conda update --all".

It will download and try to install the package downloaded, and you may see the ERROR message in it.

Anaconda or Miniconda version:

Anaconda3 5.1.0 Windows-x86_64

Operating System:

Windows 10 Pro (10.0.16299.248).

conda info
active environment : None
       user config file : C:\Users\anthlu\.condarc
 populated config files :
          conda version : 4.4.11
    conda-build version : 3.0.27
         python version : 3.6.3.final.0
       base environment : C:\ProgramData\Anaconda3  (writable)
           channel URLs : https://repo.continuum.io/pkgs/main/win-64
                          https://repo.continuum.io/pkgs/main/noarch
                          https://repo.continuum.io/pkgs/free/win-64
                          https://repo.continuum.io/pkgs/free/noarch
                          https://repo.continuum.io/pkgs/r/win-64
                          https://repo.continuum.io/pkgs/r/noarch
                          https://repo.continuum.io/pkgs/pro/win-64
                          https://repo.continuum.io/pkgs/pro/noarch
                          https://repo.continuum.io/pkgs/msys2/win-64
                          https://repo.continuum.io/pkgs/msys2/noarch
          package cache : C:\ProgramData\Anaconda3\pkgs
                          C:\Users\anthlu\AppData\Local\conda\conda\pkgs
       envs directories : C:\ProgramData\Anaconda3\envs
                          C:\Users\anthlu\AppData\Local\conda\conda\envs
                          C:\Users\anthlu\.conda\envs
               platform : win-64
             user-agent : conda/4.4.11 requests/2.18.4 CPython/3.6.3 Windows/10 Windows/10.0.16299
          administrator : True
             netrc file : None
           offline mode : False
conda list --show-channel-urls
# packages in environment at C:\ProgramData\Anaconda3:
#
# Name                    Version                   Build  Channel
_ipyw_jlab_nb_ext_conf    0.1.0            py36he6757f0_0    defaults
alabaster                 0.7.10           py36hcd07829_0    defaults
anaconda                  custom           py36h363777c_0    defaults
anaconda-client           1.6.5            py36hd36550c_0    defaults
anaconda-navigator        1.6.9            py36hc720852_0    defaults
anaconda-project          0.8.0            py36h8b3bf89_0    defaults
asn1crypto                0.22.0           py36h8e79faa_1    defaults
astroid                   1.5.3            py36h9d85297_0    defaults
astropy                   2.0.2            py36h06391c4_4    defaults
babel                     2.5.0            py36h35444c1_0    defaults
backports                 1.0              py36h81696a8_1    defaults
backports.shutil_get_terminal_size 1.0.0            py36h79ab834_2    defaults
beautifulsoup4            4.6.0            py36hd4cc5e8_1    defaults
bitarray                  0.8.1            py36h6af124b_0    defaults
bkcharts                  0.2              py36h7e685f7_0    defaults
blaze                     0.11.3           py36h8a29ca5_0    defaults
bleach                    2.0.0            py36h0a7e3d6_0    defaults
bokeh                     0.12.10          py36h0be3b39_0    defaults
boto                      2.48.0           py36h1a776d2_1    defaults
bottleneck                1.2.1            py36hd119dfa_0    defaults
bzip2                     1.0.6            vc14hdec8e7a_1  [vc14]  defaults
ca-certificates           2017.08.26           h94faf87_0    defaults
cachecontrol              0.12.3           py36hfe50d7b_0    defaults
certifi                   2018.1.18                py36_0    defaults
cffi                      1.10.0           py36hae3d1b5_1    defaults
chardet                   3.0.4            py36h420ce6e_1    defaults
click                     6.7              py36hec8c647_0    defaults
cloudpickle               0.4.0            py36h639d8dc_0    defaults
clyent                    1.2.2            py36hb10d595_1    defaults
colorama                  0.3.9            py36h029ae33_0    defaults
comtypes                  1.1.2            py36heb9b3d1_0    defaults
conda                     4.4.11                   py36_0    defaults
conda-build               3.0.27           py36h309a530_0    defaults
conda-env                 2.6.0                h36134e3_1    defaults
conda-verify              2.0.0            py36h065de53_0    defaults
console_shortcut          0.1.1                h6bb2dd7_3    defaults
contextlib2               0.5.5            py36he5d52c0_0    defaults
cryptography              2.0.3            py36h123decb_1    defaults
curl                      7.55.1           vc14hdaba4a4_3  [vc14]  defaults
cycler                    0.10.0           py36h009560c_0    defaults
cython                    0.26.1           py36h18049ac_0    defaults
cytoolz                   0.8.2            py36h547e66e_0    defaults
dask                      0.15.3           py36h396fcb9_0    defaults
dask-core                 0.15.3           py36hd651449_0    defaults
datashape                 0.5.4            py36h5770b85_0    defaults
decorator                 4.1.2            py36he63a57b_0    defaults
distlib                   0.2.5            py36h51371be_0    defaults
distributed               1.19.1           py36h8504682_0    defaults
docutils                  0.14             py36h6012d8f_0    defaults
entrypoints               0.2.3            py36hfd66bb0_2    defaults
et_xmlfile                1.0.1            py36h3d2d736_0    defaults
fastcache                 1.0.2            py36hffdae1b_0    defaults
filelock                  2.0.12           py36hd7ddd41_0    defaults
flask                     0.12.2           py36h98b5e8f_0    defaults
flask-cors                3.0.3            py36h8a3855d_0    defaults
freetype                  2.8              vc14h17c9bdf_0  [vc14]  defaults
get_terminal_size         1.0.0                h38e98db_0    defaults
gevent                    1.2.2            py36h342a76c_0    defaults
glob2                     0.5              py36h11cc1bd_1    defaults
greenlet                  0.4.12           py36ha00ad21_0    defaults
h5py                      2.7.0            py36hfbe0a52_1    defaults
hdf5                      1.10.1           vc14hb361328_0  [vc14]  defaults
heapdict                  1.0.0            py36h21fa5f4_0    defaults
html5lib                  0.999999999      py36ha09b1f3_0    defaults
icc_rt                    2017.0.4             h97af966_0    defaults
icu                       58.2             vc14hc45fdbb_0  [vc14]  defaults
idna                      2.6              py36h148d497_1    defaults
imageio                   2.2.0            py36had6c2d2_0    defaults
imagesize                 0.7.1            py36he29f638_0    defaults
intel-openmp              2018.0.0             hcd89f80_7    defaults
ipykernel                 4.6.1            py36hbb77b34_0    defaults
ipython                   6.1.0            py36h236ecc8_1    defaults
ipython_genutils          0.2.0            py36h3c5d0ee_0    defaults
ipywidgets                7.0.0            py36h2e74ada_0    defaults
isort                     4.2.15           py36h6198cc5_0    defaults
itsdangerous              0.24             py36hb6c5a24_1    defaults
jdcal                     1.3              py36h64a5255_0    defaults
jedi                      0.10.2           py36hed927a0_0    defaults
jinja2                    2.9.6            py36h10aa3a0_1    defaults
jpeg                      9b               vc14h4d7706e_1  [vc14]  defaults
jsonschema                2.6.0            py36h7636477_0    defaults
jupyter                   1.0.0            py36h422fd7e_2    defaults
jupyter_client            5.1.0            py36h9902a9a_0    defaults
jupyter_console           5.2.0            py36h6d89b47_1    defaults
jupyter_core              4.3.0            py36h511e818_0    defaults
jupyterlab                0.27.0           py36h34cc53b_2    defaults
jupyterlab_launcher       0.4.0            py36h22c3ccf_0    defaults
lazy-object-proxy         1.3.1            py36hd1c21d2_0    defaults
libiconv                  1.15             vc14h29686d3_5  [vc14]  defaults
libpng                    1.6.32           vc14h5163883_3  [vc14]  defaults
libssh2                   1.8.0            vc14hcf584a9_2  [vc14]  defaults
libtiff                   4.0.8           vc14h04e2a1e_10  [vc14]  defaults
libxml2                   2.9.4            vc14h8fd0f11_5  [vc14]  defaults
libxslt                   1.1.29           vc14hf85b8d4_5  [vc14]  defaults
llvmlite                  0.20.0                   py36_0    defaults
locket                    0.2.0            py36hfed976d_1    defaults
lockfile                  0.12.2           py36h0468280_0    defaults
lxml                      4.1.0            py36h0dcd83c_0    defaults
lzo                       2.10             vc14h0a64fa6_1  [vc14]  defaults
markupsafe                1.0              py36h0e26971_1    defaults
matplotlib                2.1.0            py36h11b4b9c_0    defaults
mccabe                    0.6.1            py36hb41005a_1    defaults
menuinst                  1.4.10           py36h42196fb_0    defaults
mistune                   0.7.4            py36h4874169_0    defaults
mkl                       2018.0.0             h36b65af_4    defaults
mkl-service               1.1.2            py36h57e144c_4    defaults
mpmath                    0.19             py36he326802_2    defaults
msgpack-python            0.4.8            py36h58b1e9d_0    defaults
multipledispatch          0.4.9            py36he44c36e_0    defaults
navigator-updater         0.1.0            py36h8a7b86b_0    defaults
nbconvert                 5.3.1            py36h8dc0fde_0    defaults
nbformat                  4.4.0            py36h3a5bc1b_0    defaults
networkx                  2.0              py36hff991e3_0    defaults
nltk                      3.2.4            py36hd0e0a39_0    defaults
nose                      1.3.7            py36h1c3779e_2    defaults
notebook                  5.0.0            py36hd9fbf6f_2    defaults
numba                     0.35.0             np113py36_10    defaults
numexpr                   2.6.2            py36h7ca04dc_1    defaults
numpy                     1.13.3           py36ha320f96_0    defaults
numpydoc                  0.7.0            py36ha25429e_0    defaults
odo                       0.5.1            py36h7560279_0    defaults
olefile                   0.44             py36h0a7bdd2_0    defaults
openpyxl                  2.4.8            py36hf3b77f6_1    defaults
openssl                   1.0.2n               h74b6da3_0    defaults
packaging                 16.8             py36ha0986f6_1    defaults
pandas                    0.20.3           py36hce827b7_2    defaults
pandoc                    1.19.2.1             hb2460c7_1    defaults
pandocfilters             1.4.2            py36h3ef6317_1    defaults
partd                     0.3.8            py36hc8e763b_0    defaults
path.py                   10.3.1           py36h3dd8b46_0    defaults
pathlib2                  2.3.0            py36h7bfb78b_0    defaults
patsy                     0.4.1            py36h42cefec_0    defaults
pep8                      1.7.0            py36h0f3d67a_0    defaults
pickleshare               0.7.4            py36h9de030f_0    defaults
pillow                    4.2.1            py36hdb25ab2_0    defaults
pip                       9.0.1            py36hadba87b_3    defaults
pkginfo                   1.4.1            py36hb0f9cfa_1    defaults
ply                       3.10             py36h1211beb_0    defaults
progress                  1.3              py36hbeca8d3_0    defaults
prompt_toolkit            1.0.15           py36h60b8f86_0    defaults
psutil                    5.4.0            py36h4e662fb_0    defaults
py                        1.4.34           py36ha4aca3a_1    defaults
pycodestyle               2.3.1            py36h7cc55cd_0    defaults
pycosat                   0.6.3            py36h413d8a4_0    defaults
pycparser                 2.18             py36hd053e01_1    defaults
pycrypto                  2.6.1            py36he68e6e2_1    defaults
pycurl                    7.43.0           py36h086bf4c_3    defaults
pyflakes                  1.6.0            py36h0b975d6_0    defaults
pygments                  2.2.0            py36hb010967_0    defaults
pylint                    1.7.4            py36ha4e6ded_0    defaults
pyodbc                    4.0.17           py36h0006bc2_0    defaults
pyopenssl                 17.2.0           py36h15ca2fc_0    defaults
pyparsing                 2.2.0            py36h785a196_1    defaults
pyqt                      5.6.0            py36hb5ed885_5    defaults
pysocks                   1.6.7            py36h698d350_1    defaults
pytables                  3.4.2            py36h71138e3_2    defaults
pytest                    3.2.1            py36h753b05e_1    defaults
python                    3.6.3                h9e2ca53_1    defaults
python-dateutil           2.6.1            py36h509ddcb_1    defaults
pytz                      2017.2           py36h05d413f_1    defaults
pywavelets                0.5.2            py36hc649158_0    defaults
pywin32                   221              py36h9c10281_0    defaults
pyyaml                    3.12             py36h1d1928f_1    defaults
pyzmq                     16.0.2           py36h38c27d9_2    defaults
qt                        5.6.2           vc14h6f8c307_12  [vc14]  defaults
qtawesome                 0.4.4            py36h5aa48f6_0    defaults
qtconsole                 4.3.1            py36h99a29a9_0    defaults
qtpy                      1.3.1            py36hb8717c5_0    defaults
requests                  2.18.4           py36h4371aae_1    defaults
rope                      0.10.5           py36hcaf5641_0    defaults
ruamel_yaml               0.11.14          py36h9b16331_2    defaults
scikit-image              0.13.0           py36h6dffa3f_1    defaults
scikit-learn              0.19.1           py36h53aea1b_0    defaults
scipy                     0.19.1           py36h7565378_3    defaults
seaborn                   0.8.0            py36h62cb67c_0    defaults
setuptools                36.5.0           py36h65f9e6e_0    defaults
simplegeneric             0.8.1            py36heab741f_0    defaults
singledispatch            3.4.0.3          py36h17d0c80_0    defaults
sip                       4.18.1           py36h9c25514_2    defaults
six                       1.11.0           py36h4db2310_1    defaults
snowballstemmer           1.2.1            py36h763602f_0    defaults
sortedcollections         0.5.3            py36hbefa0ab_0    defaults
sortedcontainers          1.5.7            py36ha90ac20_0    defaults
sphinx                    1.6.3            py36h9bb690b_0    defaults
sphinxcontrib             1.0              py36hbbac3d2_1    defaults
sphinxcontrib-websupport  1.0.1            py36hb5e5916_1    defaults
spyder                    3.2.4            py36h8845eaa_0    defaults
sqlalchemy                1.1.13           py36h5948d12_0    defaults
sqlite                    3.20.1           vc14h7ce8c62_1  [vc14]  defaults
statsmodels               0.8.0            py36h6189b4c_0    defaults
sympy                     1.1.1            py36h96708e0_0    defaults
tblib                     1.3.2            py36h30f5020_0    defaults
testpath                  0.3.1            py36h2698cfe_0    defaults
tk                        8.6.7            vc14hb68737d_1  [vc14]  defaults
toolz                     0.8.2            py36he152a52_0    defaults
tornado                   4.5.2            py36h57f6048_0    defaults
traitlets                 4.3.2            py36h096827d_0    defaults
typing                    3.6.2            py36hb035bda_0    defaults
unicodecsv                0.14.1           py36h6450c06_0    defaults
urllib3                   1.22             py36h276f60a_0    defaults
vc                        14                   h2379b0c_2    defaults
vs2015_runtime            14.0.25123           hd4c4e62_2    defaults
wcwidth                   0.1.7            py36h3d5aa90_0    defaults
webencodings              0.5.1            py36h67c50ae_1    defaults
werkzeug                  0.12.2           py36h866a736_0    defaults
wheel                     0.29.0           py36h6ce6cde_1    defaults
widgetsnbextension        3.0.2            py36h364476f_1    defaults
win_inet_pton             1.0.1            py36he67d7fd_1    defaults
win_unicode_console       0.5              py36hcdbd4b5_0    defaults
wincertstore              0.2              py36h7fe50ca_0    defaults
wrapt                     1.10.11          py36he5f5981_0    defaults
xlrd                      1.1.0            py36h1cb58dc_1    defaults
xlsxwriter                1.0.2            py36hf723b7d_0    defaults
xlwings                   0.11.4           py36hd3cf94d_0    defaults
xlwt                      1.3.0            py36h1a4751e_0    defaults
yaml                      0.1.7            vc14hb31d195_1  [vc14]  defaults
zict                      0.1.3            py36h2d8e73e_0    defaults
zlib                      1.2.11           vc14h1cdd9ab_1  [vc14]  defaults
@RemiDav

This comment has been minimized.

RemiDav commented Mar 4, 2018

Exactly same problem here with same cause:
conda update --all
results in:
post-link script failed for package defaults::ipykernel-4.8.2-py36_0

any solution yet ?

@imanojkumar

This comment has been minimized.

imanojkumar commented Mar 4, 2018

i too got the same error...

ERROR conda.core.link:_execute(481): An error occurred while installing package 'defaults::ipykernel-4.8.2-py36_0'.

@aschey

This comment has been minimized.

aschey commented Mar 4, 2018

I got the same error. Running conda update ipykernel, conda clean --all, then conda update --all worked for me. You may not need to run the clean command, but I didn't try it without.

@anthlu

This comment has been minimized.

anthlu commented Mar 5, 2018

@aschey Do you update ipykernel package alone? after that, use conda update --all to update all packages installed in default environment? or use conda clean --all to remove all packages cached first and then run conda update --all?

@aschey

This comment has been minimized.

aschey commented Mar 5, 2018

@anthlu Yes, I ran conda clean --all before conda update --all, but I'm not positive that it's necessary. It can't hurt though.

@AcmeNuclear

This comment has been minimized.

AcmeNuclear commented Mar 5, 2018

@anthlu I am getting the same behavior for an install of Anaconda from a while back and I have been updating it as I go along (as is expected). I am on Windows 7 - but the error is the same. I get the same error on my Windows 10 machine with the same build on it (tested after I ran into this issue). I do get some strange text at the command line after I run the original conda update conda to update to 4.4.11.
My Windows 7 conda info shows the following:

(base) C:\Windows\system32>conda info

 active environment : base
active env location : C:\Users\nfsdp\AppData\Local\Continuum\Anaconda3
        shell level : 1
   user config file : C:\Users\nfsdp\.condarc
populated config files : C:\Users\nfsdp\.condarc
      conda version : 4.4.11
conda-build version : not installed
     python version : 3.6.4.final.0
   base environment : C:\Users\nfsdp\AppData\Local\Continuum\Anaconda3  (writable)
       channel URLs : https://conda.anaconda.org/anaconda-fusion/win-64
                      https://conda.anaconda.org/anaconda-fusion/noarch
                      https://repo.continuum.io/pkgs/main/win-64
                      https://repo.continuum.io/pkgs/main/noarch
                      https://repo.continuum.io/pkgs/free/win-64
                      https://repo.continuum.io/pkgs/free/noarch
                      https://repo.continuum.io/pkgs/r/win-64
                      https://repo.continuum.io/pkgs/r/noarch
                      https://repo.continuum.io/pkgs/pro/win-64
                      https://repo.continuum.io/pkgs/pro/noarch
                      https://repo.continuum.io/pkgs/msys2/win-64
                      https://repo.continuum.io/pkgs/msys2/noarch
      package cache : C:\Users\nfsdp\AppData\Local\Continuum\Anaconda3\pkgs
                      C:\Users\nfsdp\AppData\Local\conda\conda\pkgs
   envs directories : C:\Users\nfsdp\AppData\Local\Continuum\Anaconda3\envs
                      C:\Users\nfsdp\AppData\Local\conda\conda\envs
                      C:\Users\nfsdp\.conda\envs
           platform : win-64
         user-agent : conda/4.4.11 requests/2.18.4 CPython/3.6.4 Windows/7 Windows/6.1.7601
      administrator : True
         netrc file : None
       offline mode : False

I re-installed conda 4.4.10 and then re-updated to 4.4.11 and reproduced the error text at the bottom of the code block below:

(base) C:\Windows\system32>conda update conda 

Solving environment: ...working... done

## Package Plan ##

  environment location: C:\Users\nfsdp\AppData\Local\Continuum\Anaconda3

  added / updated specs:
    - conda


The following packages will be UPDATED:

    conda: 4.4.10-py36_0 --> 4.4.11-py36_0

Proceed ([y]/n)?
Preparing transaction: ...working... done
Verifying transaction: ...working... done
Executing transaction: ...working... done

(base) C:\Users\nfsdp>block should really be the equivalent of
'block' is not recognized as an internal or external command,
operable program or batch file.

I have no idea what this information on "block" is referring to. But conda 4.4.11 is installed per conda info.

@anthlu

This comment has been minimized.

anthlu commented Mar 6, 2018

@AcmeNuclear I also meet the problem you mentioned. When I update the conda package after installing the anaconda, it also prints the information like "block should really be the equivalent of". So I think the problem may be caused by the package itself.

@vamkv

This comment has been minimized.

vamkv commented Mar 6, 2018

same issue observed on Win10.

@capodic

This comment has been minimized.

capodic commented Mar 7, 2018

same issue, conda update ipykernel and then conda update --all worked for me (Win10 Ent. 1607)

@AngusNicolson

This comment has been minimized.

AngusNicolson commented Mar 7, 2018

I had the same issue as well. Ran conda update ipykernel and then conda update --all and everything updated fine. Looks like the clean isn't needed. EDIT: I take it all back. When running spyder I get an internal error and it cannot connect to the kernel, I had to reinstall anaconda to fix this as running conda install --version 0 returned a similar error to the one above.

@svmerk

This comment has been minimized.

svmerk commented Mar 8, 2018

When trying to do conda update ipykernel from a fresh installation of anaconda 5.1.0 it wants to replace anaconda 5.1.0-py36_2 --> custom-py36h363777c_0 which is kind of fishy.

@mingwandroid

This comment has been minimized.

Member

mingwandroid commented Mar 8, 2018

which is kind of fishy.

This is the intended behaviour. As soon as any version changes to be different from the one in the installer the anaconda metapackage version changes to custom to reflect this.

@svmerk

This comment has been minimized.

svmerk commented Mar 8, 2018

Sure I understand that this change of version number is neccessary if the version indeed changes. What I don't like is, that an update needs a special (not knonw by number) version in the first place.
Maybe I did not look carefully enough in the past, but I don't think this happend in the past, when I did a conda update --all, which I also did after the mentioned conda update ipykernel. But now the anaconda version remains custom

@mingwandroid

This comment has been minimized.

Member

mingwandroid commented Mar 8, 2018

The anaconda package is a metapackage that is released with each release of the AD installers. It specifies exactly all of the version numbers for all of the packages in the installer. Its own version number corresponds to the AD release number.

So once any package is updated such that no existing anaconda metapackage shares that exact set of version numbers we change it to custom to indicate that you no longer have a set of packages that match any release.

Is that clear?

@svmerk

This comment has been minimized.

svmerk commented Mar 8, 2018

Ok, thanks for making this clear.

@stawo

This comment has been minimized.

stawo commented Mar 8, 2018

Same issue on Windows Server 2012 R2.
The solution proposed by @aschey seems to do the trick for now.

@AcmeNuclear

This comment has been minimized.

AcmeNuclear commented Mar 11, 2018

@mingwandroid - Ray, given what you say up above, what is the best path forward. I still have the issue that when I do a standard update that it fails when it typically works. I will be the first to admit that I did not follow everything above regarding the Andaconda package installer versioning (vs. I suspect just updating through Conda?). Is there a more reliable method to keeping my packages up to date other than what I have been doing? I switched to using command line Conda when the Anaconda Navigator update function kept failing on me (I ran update but they would not take for some reason.
Thanks!!

@mingwandroid

This comment has been minimized.

Member

mingwandroid commented Mar 11, 2018

conda update --all is the canonical way to update all of your packages (note due to version constrains it may not be possible to update everything to the latest but conda will do its best to update as many as possible).

Our team has been considering renaming the anaconda metapackage to something like anaconda-release or anaconda-pinned and then removing the exact versions pins from a new anaconda metapackage. The idea is to lessen the surprise that people encounter here when they believe that issuing conda update anaconda means that conda will do its best to update all their installed packages (or to be more precise, those packages installed when they ran the Anaconda Distribution installer) to the latest available ones when it does not.

@mingwandroid

This comment has been minimized.

Member

mingwandroid commented Mar 11, 2018

I did not follow everything above regarding the Andaconda package installer versioning

If there are some specific parts of what I wrote that I could explain better then please let me know.

@dl7631

This comment has been minimized.

dl7631 commented Mar 12, 2018

Have exactly the same issue (same error) on Windows 10. After reading the above, ran "conda update ipykernel" - it ran successfully. Then I ran "conda update --all" again. It seems to be working for me.

@GustaVelho

This comment has been minimized.

GustaVelho commented Mar 15, 2018

@dl7631 this worked for me as well! I tried the conda clean --all, and conda update --all, failed. But firs updating the ipykernel did work, and after that conda update --all. Thanks!

@AcmeNuclear

This comment has been minimized.

AcmeNuclear commented Mar 19, 2018

FYI - I followed the sequence as listed above conda update ipykernel, conda clean --all, and finally conda update --all. This appears to have worked. When I opened Spyder the first time it did give some error / warning issues with connecting to the kernel, but those flashed by and it resolved itself and ran fine after that. Thanks to all for the help - much appreciated.

@DimitriKourouniotis

This comment has been minimized.

DimitriKourouniotis commented Apr 26, 2018

I am Win10 amd64 trying to install xgboost and I get this error when updating the packages:
my version of python is 3.6.3
conda install -c anaconda py-xgboost

An error occurred while uninstalling package 'defaults::qt-5.6.2-vc14h6f8c307_12'.
PermissionError(13, 'Access is denied')..

The solution for me was run anaconda as adminstrator.

@leeningzzu

This comment has been minimized.

leeningzzu commented May 20, 2018

windows10 Pro, however, when I tried conda update ipykernel, apppearing conda: 4.5.4-py36_0 --> 4.3.30 , many packages went to the lower versions. Thanks!

@shinecurve

This comment has been minimized.

shinecurve commented May 28, 2018

same issue observed on Win10 1803

@DBJP

This comment has been minimized.

DBJP commented May 29, 2018

I also encountered the 'block should really be the equivalent of' automatic entry error after updating. I am new to Python and learning to use lmfit, executed the command as instructed, then updated as Anaconda instructed. Reading comments here, I then checked to see if the update was successful as AcmeNuclear did.

Here is the text from my Anaconda Prompt (with username replaced for anonymity):

(base) C:\Users\UserName>conda install -c GSECARS lmfit
Solving environment: done


==> WARNING: A newer version of conda exists. <==
  current version: 4.4.10
  latest version: 4.5.4

Please update conda by running

    $ conda update -n base conda



## Package Plan ##

  environment location: C:\Users\UserName\Anaconda3

  added / updated specs:
    - lmfit


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    lmfit-0.9.10               |           py36_0         188 KB  GSECARS
    uncertainties-3.0.2        |           py36_0         118 KB  GSECARS
    asteval-0.9.12             |           py36_0          43 KB  GSECARS
    ------------------------------------------------------------
                                           Total:         349 KB

The following NEW packages will be INSTALLED:

    asteval:       0.9.12-py36_0 GSECARS
    lmfit:         0.9.10-py36_0 GSECARS
    uncertainties: 3.0.2-py36_0  GSECARS

Proceed ([y]/n)? y


Downloading and Extracting Packages
lmfit 0.9.10: ################################################################################################# | 100%
uncertainties 3.0.2: ########################################################################################## | 100%
asteval 0.9.12: ############################################################################################### | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: done

(base) C:\Users\UserName>conda update -n base conda
Solving environment: done

## Package Plan ##

  environment location: C:\Users\UserName\Anaconda3

  added / updated specs:
    - conda


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    conda-4.5.4                |           py36_0         1.0 MB

The following packages will be UPDATED:

    conda: 4.4.10-py36_0 --> 4.5.4-py36_0

Proceed ([y]/n)? y


Downloading and Extracting Packages
conda 4.5.4: ################################################################################################## | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: done

(base) C:\Users\UserName>block should really be the equivalent of
'block' is not recognized as an internal or external command,
operable program or batch file.

(base) C:\Users\UserName>conda info

     active environment : base
    active env location : C:\Users\UserName\Anaconda3
            shell level : 1
       user config file : C:\Users\UserName\.condarc
 populated config files : C:\Users\UserName\.condarc
          conda version : 4.5.4
    conda-build version : 3.4.1
         python version : 3.6.4.final.0
       base environment : C:\Users\UserName\Anaconda3  (writable)
           channel URLs : https://repo.anaconda.com/pkgs/main/win-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/free/win-64
                          https://repo.anaconda.com/pkgs/free/noarch
                          https://repo.anaconda.com/pkgs/r/win-64
                          https://repo.anaconda.com/pkgs/r/noarch
                          https://repo.anaconda.com/pkgs/pro/win-64
                          https://repo.anaconda.com/pkgs/pro/noarch
                          https://repo.anaconda.com/pkgs/msys2/win-64
                          https://repo.anaconda.com/pkgs/msys2/noarch
          package cache : C:\Users\UserName\Anaconda3\pkgs
                          C:\Users\UserName\AppData\Local\conda\conda\pkgs
       envs directories : C:\Users\UserName\Anaconda3\envs
                          C:\Users\UserName\AppData\Local\conda\conda\envs
                          C:\Users\UserName\.conda\envs
               platform : win-64
             user-agent : conda/4.5.4 requests/2.18.4 CPython/3.6.4 Windows/10 Windows/10.0.16299
          administrator : False
             netrc file : None
           offline mode : False
@psy-therapist

This comment has been minimized.

psy-therapist commented Jul 6, 2018

Just don't forget to run Anaconda prompt as Administrator...
That was my problem.

@AhmedSaeed98

This comment has been minimized.

AhmedSaeed98 commented Jul 29, 2018

@psy-therapist thanks this is also my problem

@adrianbirch

This comment has been minimized.

adrianbirch commented Aug 4, 2018

Same problem, couldn't conda update conda from non-admin user account on Windows 10. I kept getting "ERROR conda.core.link:_execute(502): An error occurred while uninstalling package"
Tried conda update ipykernel from same user account - same problem.
Closed Anaconda Prompt and re-opened as Administrator
Ran "conda update ipykernel" which worked this time and also updated conda to 4.5.9
closed Anaconda Prompt and reopened NOT as Administrator
"conda update conda" worked this time and it also updated openssl-1.0.2o and conda-4.5.9
Interesting that it updated conda again ????

@sqlshep

This comment has been minimized.

sqlshep commented Aug 20, 2018

I think i have tried everything is this thread with no luck, open to suggestions...

Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic


MSI:~$ conda update --all
Solving environment: done

Package Plan

environment location:
...
pyparsing-2.2.0 | 96 KB | ####################################### | 100%
anaconda-client-1.7. | 136 KB | ####################################### | 100%
incremental-17.5.0 | 25 KB | ####################################### | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: failed
ERROR conda.core.link:_execute(502): An error occurred while uninstalling package 'defaults::anaconda-5.2.0-py36_3'.
PermissionError(13, 'Permission denied')
Attempting to roll back.

Rolling back transaction: done

PermissionError(13, 'Permission denied')

@joshuagithub

This comment has been minimized.

joshuagithub commented Aug 22, 2018

Preparing transaction: done
Verifying transaction: done
Executing transaction: failed
ERROR conda.core.link:_execute(502): An error occurred while uninstalling package 'defaults::anaconda-5.2.0-py36_3'.
PermissionError(13, 'Access is denied')
Attempting to roll back.

Rolling back transaction: done

PermissionError(13, 'Access is denied')

@joshuagithub

This comment has been minimized.

joshuagithub commented Aug 22, 2018

i think in have no choice! uninstall anaconda.... (2 months of work!!) reinstall back and do the necessary library....

can i change Linux based OS to install anaconda for stable run.... To avoid wasting time!

any advice please

@mingwandroid

This comment has been minimized.

Member

mingwandroid commented Aug 22, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment